package com.uca.core;

import com.uca.core.*;
import com.uca.dao.*;
import com.uca.entity.*;
import java.util.*;

public class GommetteCore extends _DefaultCore<GommetteEntity> {

    public static final GommetteCore Instance = new GommetteCore();
    private GommetteCore()
    {
        super(new GommetteDAO());
    }

    public GommetteEntity create(String nom, Couleur couleur, String description) {
        GommetteEntity entity = new GommetteEntity();
        entity.setNom(nom);
        entity.setCouleur(couleur);
        entity.setDescription(description);
        return dao.create(entity);
    }

    public void update(int id, String nom, Couleur couleur, String description) {

        GommetteEntity entity = new GommetteEntity();
        GommetteEntity previous = dao.getById(id);

        System.out.println(previous.getNom());

        if (nom.length() > 0) 
        {
            entity.setNom(nom);
        }
        else
        {
            entity.setNom(previous.getNom());
        }

        
        if (couleur != null)
        {
            entity.setCouleur(couleur);
        }
        else
        {
            Couleur prev_couleur = previous.getCouleur();
            System.out.println(prev_couleur);
            entity.setCouleur(previous.getCouleur());
            
        }

        
        if (description.length() > 0)
        { 
            entity.setDescription(description);
        }
        else
        {
            entity.setDescription(previous.getDescription());
        }

        

        entity.setId(id);
        dao.push(entity);

    }
}
